/*
Theme Name: mi child theme
Theme URI: 
Author: Anton Madjid
Author URI: 
Description: mi child theme
Requires at least: 6.8
Tested up to: 6.8
Requires PHP: 5.7
Version: 
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Template: ollie
Text Domain: mi-child-theme
Tags: 
*/
body {
  background-color: #fafafa;
}
/* navigation*/
.wp-block-navigation a {
  position: relative;
  text-decoration: none;
}

.wp-block-navigation a::after {
  content: '';
  position: absolute;
  left: 0;
  bottom: -2px;
  width: 0;
  height: 2px;
  background-color: var(--wp--preset--color--primary);
  transition: width 0.3s ease;
}

.wp-block-navigation a:hover::after {
  width: 100%;
}

.navLg {
  display: none;
}

.navSmWrap {
  margin-right: 1.5em !important;
}

.navSm rect {
  height: 3px;
}

.navSmWrap .wp-block-navigation__responsive-container-open svg {
  fill: var(--wp--preset--color--base);
  background-color: var(--wp--preset--color--main);
  height: 24px;
  padding: 0 3px;
  border-radius: 1px;
}

.navSm ul {
  width: 100%;
  text-align: center;
}

.navSm ul li {
  border-bottom: solid 1px var(  --wp--preset--color--border-light);
  display: block !important;
  width: 100%;
  padding-top: 15px;
}

.navSm .wp-block-search__button {
  background-color: red;
}

:where(.wp-block-search__button-inside .wp-block-search__inside-wrapper) {
  border: none;
}

.navSm form {
  margin: auto;
}

.navSm .wp-block-site-logo img {
  min-width: 170px;
  width: 100%;
  height: auto;
  padding: 3px;
  margin-bottom: 12px;
}

.menuWrap .wp-block-site-logo img {
  width: 80%;
  height: auto;
}

@media (min-width: 781px) {
  .navSmWrap {
    display: none;
  }

  .menuWrap .wp-block-site-logo img {
    width: 170px;
    height: auto;
  }

  .navLg {
    display: flex;
    padding-right: 2rem;
  }

  .menuWrapInner {
    max-width: 1200px;
    margin: auto !important;
  }
}
